petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmGetCellDM

Fetches the attached cell DM

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmGetCellDM(DM dm,DM *dmcell)

Collective on dm

### Input parameter

dm -a DMSwarm

### Output parameter

dmcell -the DM which was attached to the DMSwarm

### See Also

DMSwarmSetCellDM()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages